Subject: QUERY: How to handle SOC Configuration (Peripheral Multiplexing) in linux

From: [email-masked] (Viresh KUMAR)
Date: Mon, 15 Mar 2010 12:04:15 +0530

On 3/15/2010 10:58 AM, Shilimkar, Santosh wrote:
>> > But the standard drivers which are already in mainline may not support these platform
>> > data.
>> > 
> Driver won't change major way. I was saying passing additional information via
> platform data to drivers. Even with Kconfig stuff, you need to touch drivers to take care of
> your exceptions.
> 
> Am I missing something?

We need only a platform specific function (spear300_configure), that will take care of this.
We don't need to change anything in driver for this. I feel Driver is not supposed to know
what platform specific configuration is required to enable the device.